﻿@model ProjectUni.Models.Job
@using ProjectUni.Models;

@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";
}
@{
    PContext db = new PContext();
    var id = Session["UserID"];
    var ob = db.Registration.Find(id);
    var cm = db.Companies.Where(c => c.Email == ob.Email).FirstOrDefault();
    var em = ob.Email;

}
<style>
    .sidenav {
        margin-top: 30px;
        background-color: white;
        min-height: inherit;
        border-right: 10px solid #611fac;
        padding: 20px 50px;
    }
</style>

<div class="col-xs-12">
    <div class="col-sm-3 sidenav" id="nev" style="background-color:rgba(0, 0, 0, 0.81);">

        <h3 class="ph" style="color:white;">Company Logo</h3>
        <img src="@Url.Content(cm.Image)" class="image img-responsive" alt="Profile Pic">

        <br /><br />
        <p class="btn btn-block btn-glass" style="background-color:#1758ee"><a href="@Url.Action("Details", "Companies",new  { id = cm.CompanyId })">Company Profile</a></p>
        <p class="btn btn-block btn-glass" style="background-color:#1758ee"><a href="@Url.Action("index", "jobs")">Jobs</a></p>
    </div>

    <div class="col-sm-8 main-content text-left" style="background-color:rgba(0, 0, 0, 0.81);" id="context">
        <h3 class="ph" style="margin-top:20px;">Job Details</h3>
        <dl class="dl-horizontal">
            <dt>
                @Html.DisplayNameFor(model => model.Cities.CityName)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Cities.CityName)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.degreearea.AreaName)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.degreearea.AreaName)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.degreelevel.LevelName)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.degreelevel.LevelName)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.Industries.IndustryName)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Industries.IndustryName)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.JobTitle)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.JobTitle)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.JobDesignation)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.JobDesignation)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.JobDescription)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.JobDescription)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.Skills)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Skills)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.JobType)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.JobType)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.JobShift)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.JobShift)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.CareerLevel)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.CareerLevel)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.Experience)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Experience)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.MinSalary)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.MinSalary)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.MixSalary)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.MixSalary)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.Gender)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Gender)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.Positions)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Positions)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.JobDate)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.JobDate)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.ApplyBefore)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.ApplyBefore)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.MinAge)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.MinAge)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.MaxAge)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.MaxAge)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.Status)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Status)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.Company)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Company)
            </dd>

        </dl>
    </div>
</div>

<script>
    var height = $("#context").innerHeight();
    $("#nev").innerHeight(height);
</script>